summaryrefslogtreecommitdiffstats
path: root/release-hook-post-linux.sh
diff options
context:
space:
mode:
Diffstat (limited to 'release-hook-post-linux.sh')
-rwxr-xr-xrelease-hook-post-linux.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/release-hook-post-linux.sh b/release-hook-post-linux.sh
new file mode 100755
index 000000000..e97e274a8
--- /dev/null
+++ b/release-hook-post-linux.sh
@@ -0,0 +1,9 @@
+#!/bin/bash
+
+# Se https://github.com/gohugoio/hugo/issues/8955
+objdump -T dist/hugo_extended_linux_linux_amd64/hugo | grep -E -q 'GLIBC_2.2[0-9]'
+RESULT=$?
+if [ $RESULT -eq 0 ]; then
+ echo "Found GLIBC_2.2x in Linux binary, this will not work in older Vercel/Netlify images.";
+ exit -1;
+fi